Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openxri.xml
Class AuthorityResolutionService

    java.lang.Object
      org.openxri.xml.Service
          org.openxri.xml.AuthorityResolutionService

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable

    public class AuthorityResolutionService

extends Service

This is an Authority Resolution 2.0 Service.

Author:
  =peacekeeper
See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `SERVICE_MEDIA_TYPE`
`static java.lang.String` | `SERVICE_TYPE`
`static java.lang.String` | `TRUST_TYPE_SEPARATOR`
`static java.lang.Integer` | `URI_PRIORITY_DEFAULT`
`static java.lang.Integer` | `URI_PRIORITY_HTTPS`

Constructor Summary
`AuthorityResolutionService(java.net.URI resolver)`
`AuthorityResolutionService(java.net.URI[] resolvers)`
`AuthorityResolutionService(java.net.URI[] resolvers, java.lang.String providerId)`
`AuthorityResolutionService(java.net.URI[] resolvers, java.lang.String providerId, TrustType trustType)`
`AuthorityResolutionService(java.net.URI[] resolvers, java.lang.String providerID, TrustType trustType, java.lang.String append)` Constructs a new Authority Resolution 2.0 endpoint.
`AuthorityResolutionService(java.net.URI resolver, java.lang.String providerId)`
`AuthorityResolutionService(java.net.URI resolver, java.lang.String providerId, TrustType trustType)`
`AuthorityResolutionService(java.net.URI resolver, java.lang.String providerId, TrustType trustType, java.lang.String append)`

Method Summary
`static boolean` | `isInstance(Service service)`

Methods inherited from class org.openxri.xml.Service
`addLocalID, addMediaType, addMediaType, addMediaType, addPath, addPath, addPath, addRedirect, addRef, addType, addType, addType, addURI, addURI, addURI, clone, dump, equals, fromDOM, getExtension, getKeyInfo, getLocalIDAt, getMediaType, getMediaTypeAt, getMediaTypes, getNumLocalIDs, getNumMediaTypes, getNumPaths, getNumRedirects, getNumRefs, getNumTypes, getNumURIs, getOtherChildrenVectorMap, getOtherTagValues, getPathAt, getPaths, getPrioritizedRedirects, getPrioritizedRefs, getPrioritizedURIs, getPriority, getProviderId, getRedirectAt, getRedirects, getRefAt, getRefs, getType, getTypeAt, getTypes, getURI, getURIAt, getURIForScheme, getURIs, matchType, reset, setExtension, setKeyInfo, setMediaType, setMediaTypes, setOtherTagValues, setPaths, setPrioritizedURIs, setPriority, setPriority, setProviderId, setType, setTypes, setURIs, toDOM, toDOM, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### SERVICE_TYPE

    public static final java.lang.String SERVICE_TYPE

See Also:
  Constant Field Values

### SERVICE_MEDIA_TYPE

    public static final java.lang.String SERVICE_MEDIA_TYPE

See Also:
  Constant Field Values

### TRUST_TYPE_SEPARATOR

    public static final java.lang.String TRUST_TYPE_SEPARATOR

See Also:
  Constant Field Values

### URI_PRIORITY_HTTPS

    public static final java.lang.Integer URI_PRIORITY_HTTPS

### URI_PRIORITY_DEFAULT

    public static final java.lang.Integer URI_PRIORITY_DEFAULT

Constructor Detail

### AuthorityResolutionService

    public AuthorityResolutionService(java.net.URI[] resolvers,
                                      java.lang.String providerID,
                                      TrustType trustType,
                                      java.lang.String append)

  Constructs a new Authority Resolution 2.0 endpoint.

  Parameters:
    `resolvers` - - The URI(s) where the authority will be resolved.
    `providerID` - - The global i-number of the I-Broker providing this Authority Resolution Service.
    `append` - - The append attribute to use for the URIs.

### AuthorityResolutionService

    public AuthorityResolutionService(java.net.URI resolver,
                                      java.lang.String providerId,
                                      TrustType trustType,
                                      java.lang.String append)

### AuthorityResolutionService

    public AuthorityResolutionService(java.net.URI[] resolvers,
                                      java.lang.String providerId,
                                      TrustType trustType)

### AuthorityResolutionService

    public AuthorityResolutionService(java.net.URI resolver,
                                      java.lang.String providerId,
                                      TrustType trustType)

### AuthorityResolutionService

    public AuthorityResolutionService(java.net.URI[] resolvers,
                                      java.lang.String providerId)

### AuthorityResolutionService

    public AuthorityResolutionService(java.net.URI resolver,
                                      java.lang.String providerId)

### AuthorityResolutionService

    public AuthorityResolutionService(java.net.URI[] resolvers)

### AuthorityResolutionService

    public AuthorityResolutionService(java.net.URI resolver)

Method Detail

### isInstance

    public static boolean isInstance(Service service)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2009. All Rights Reserved.